# std::swap(std::array)

From cppreference.com
< cpp‎ | container‎ | array

template< class T, std::size_t N > void swap( array<T,N>& lhs, array<T,N>& rhs ); |  | (since C++11) (until C++17)
template< class T, std::size_t N > void swap( array<T,N>& lhs, array<T,N>& rhs ) noexcept(/* see below */); |  | (since C++17) (until C++20)
template< class T, std::size_t N > constexpr void swap( array<T,N>& lhs, array<T,N>& rhs ) noexcept(/* see below */); |  | (since C++20)

Specializes the std::swap algorithm for std::array. Swaps the contents of `lhs` and `rhs`. Calls lhs.swap(rhs).

This overload only participates in overload resolution if `N == 0` or std::is_swappable<T>::value is true. | (since C++17)

### Parameters

lhs, rhs | - | containers whose contents to swap

### Return value

(none)

### Complexity

Linear in size of the container.

### Exceptions

`noexcept` specification: noexcept(noexcept(lhs.swap(rhs))) | (since C++17)

### See also

swap | swaps the contents (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/array/swap2&oldid=50447"